OGNLFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.module.ognl.filters.OGNLFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ognl.filters
Class OGNLFilter

    java.lang.Object
      org.mule.module.ognl.filters.OGNLFilter

All Implemented Interfaces:
  Filter

    public class OGNLFilter

extends Object
implements Filter

Field Summary
`protected Log` | `logger`

Constructor Summary
`OGNLFilter()`

Method Summary
`boolean` | `accept(MuleMessage message)` Check a given message against this filter.
`boolean` | `equals(Object obj)`
`String` | `getExpression()`
`int` | `hashCode()`
`void` | `setExpression(String expression)` Sets the expression for this filter.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final Log logger

Constructor Detail

### OGNLFilter

    public OGNLFilter()

Method Detail

### getExpression

    public String getExpression()

### setExpression

    public void setExpression(String expression)
                       throws ConfigurationException

  Sets the expression for this filter. The argument must be a valid expression as described in the OGNL documentation.

  Parameters:
    `expression` - the expression to use for message evaluation
  Throws:
    `ConfigurationException` - if the expression cannot be parsed
  See Also:
    `Ognl#parseExpression(String)}`

### accept

    public boolean accept(MuleMessage message)

  Description copied from interface: `Filter`
  Check a given message against this filter.

  Specified by:
    `accept` in interface `Filter`
  Parameters:
    `message` - a non null message to filter.
  Returns:
    `true` if the message matches the filter

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.